import type { App } from 'vue'

import Contextmenu from './contextmenu'
import Contextmenu2 from './contextmenu2'
import ClickOutside from './clickOutside'
import Tooltip from './tooltip'

export default {
  install(app: App) {
    app.directive('contextmenu', Contextmenu)
    app.directive('contextmenu2', Contextmenu2)
    app.directive('click-outside', ClickOutside)
    app.directive('tooltip', Tooltip)
  }
}
